LPCOpen Platform for LPC18XX/43XX microcontrollers: LPCSPIFILIB family registration functions

| LPCOpen Platform for LPC18XX/43XX microcontrollers 18XX43XX LPCOpen Platform for the NXP LPC18XX/43XX family of Microcontrollers

- Main Page
- Modules
- Data Structures
- Files

Macros | Functions
LPCSPIFILIB family registration functions
LPC SPI Flash Interface (SPIFI) Library

## Detailed Description

## Macros
#define | SPIFI_REG_FAMILY_Spansion_2Byte_PStatus spifi_REG_FAMILY_CommonCommandSet
| SPIFI_REG_FAMILY_Spansion_2Byte_PStatus Depricated! Do NOT use for new development. More...
#define | SPIFI_REG_FAMILY_Spansion_3Byte_Status spifi_REG_FAMILY_CommonCommandSet
| SPIFI_REG_FAMILY_Spansion_3Byte_Status Depricated! Do NOT use for new development. More...
#define | SPIFI_REG_FAMILY_Macronix_2Byte_Status spifi_REG_FAMILY_CommonCommandSet
| SPIFI_REG_FAMILY_Macronix_2Byte_Status Depricated! Do NOT use for new development. More...
#define | SPIFI_REG_FAMILY_SpansionS25FLP spifi_REG_FAMILY_CommonCommandSet
| SPIFI_REG_FAMILY_SpansionS25FLP Depricated! Do NOT use for new development. More...
#define | SPIFI_REG_FAMILY_SpansionS25FL1 spifi_REG_FAMILY_CommonCommandSet
| SPIFI_REG_FAMILY_SpansionS25FL1 Depricated! Do NOT use for new development. More...
#define | SPIFI_REG_FAMILY_MacronixMX25L spifi_REG_FAMILY_CommonCommandSet
| SPIFI_REG_FAMILY_MacronixMX25L Depricated! Do NOT use for new development. More...

## Functions
SPIFI_FAM_NODE_T * | spifi_REG_FAMILY_CommonCommandSet (void)
| Family registration function. More...

## Macro Definition Documentation

#define SPIFI_REG_FAMILY_Macronix_2Byte_Status spifi_REG_FAMILY_CommonCommandSet

SPIFI_REG_FAMILY_Macronix_2Byte_Status Depricated! Do NOT use for new development.

Definition at line 392 of file spifilib_dev.h.

#define SPIFI_REG_FAMILY_MacronixMX25L spifi_REG_FAMILY_CommonCommandSet

SPIFI_REG_FAMILY_MacronixMX25L Depricated! Do NOT use for new development.

Definition at line 407 of file spifilib_dev.h.

#define SPIFI_REG_FAMILY_Spansion_2Byte_PStatus spifi_REG_FAMILY_CommonCommandSet

SPIFI_REG_FAMILY_Spansion_2Byte_PStatus Depricated! Do NOT use for new development.

Definition at line 382 of file spifilib_dev.h.

#define SPIFI_REG_FAMILY_Spansion_3Byte_Status spifi_REG_FAMILY_CommonCommandSet

SPIFI_REG_FAMILY_Spansion_3Byte_Status Depricated! Do NOT use for new development.

Definition at line 387 of file spifilib_dev.h.

#define SPIFI_REG_FAMILY_SpansionS25FL1 spifi_REG_FAMILY_CommonCommandSet

SPIFI_REG_FAMILY_SpansionS25FL1 Depricated! Do NOT use for new development.

Definition at line 402 of file spifilib_dev.h.

#define SPIFI_REG_FAMILY_SpansionS25FLP spifi_REG_FAMILY_CommonCommandSet

SPIFI_REG_FAMILY_SpansionS25FLP Depricated! Do NOT use for new development.

Definition at line 397 of file spifilib_dev.h.

## Function Documentation

SPIFI_FAM_NODE_T* spifi_REG_FAMILY_CommonCommandSet | ( | void |  | ) |

Family registration function.

Returns
  A pointer to a persistent SPIFI_DEV_FAMILY_T initialized for family.

Note
  This function constructs and returns a non-volitile SPIFI_DEV_FAMILY_T structure that contains family specific information needed to register family. This function MUST NOT be called directly and should only be passed to the registration function spifiRegisterFamily()